typedef enum _mousemsgtype {MM_MOVE, MM_LBUTTONDOWN, MM_MBUTTONDOWN, MM_RBUTTONDOWN, MM_LBUTTONUP, MM_MBUTTONUP, MM_RBUTTONUP, MM_SCROLL, MM_HSCROLL} mousemsgtype;
typedef struct _mousemsg
{
	mousemsgtype type;	//Tipo del messaggio
	natb buttons;		//Bottoni premuti al momeno sottoforma di bit
	struct {
		natw x;
		natw y;
	} abspos;		//Posizione assoluta sullo schermo
	signed char scroll;	//Spostamento relativo della rotella
	int vterm;		//Terminale virtuale in cui si trova il cursore
	struct {
		natw x;
		natw y;
	} pos;			//Coordinate del cursore relative al terminale virtuale

}mousemsg;

extern "C" void get_mouse_events(mousemsg *);
